summaryrefslogtreecommitdiffstats
path: root/desktop/devilspie
diff options
context:
space:
mode:
author Phillip Warner <pc_warner@yahoo.com>2010-05-12 23:28:17 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:17 +0200
commitcc1a947b2ad3dd8fd7186201aea2b9ed4cc1d56f (patch)
tree9a3579ed289339f8a82fdc6f02bd311ef59a1a91 /desktop/devilspie
parentcf3ef241e0092909e71e9600612c9c7c645cae7c (diff)
downloadslackbuilds-cc1a947b2ad3dd8fd7186201aea2b9ed4cc1d56f.tar.gz
slackbuilds-cc1a947b2ad3dd8fd7186201aea2b9ed4cc1d56f.tar.xz
desktop/devilspie: Added to 12.2 repository
Diffstat (limited to 'desktop/devilspie')
-rw-r--r--desktop/devilspie/README7
-rw-r--r--desktop/devilspie/devilspie.SlackBuild71
-rw-r--r--desktop/devilspie/devilspie.info8
-rw-r--r--desktop/devilspie/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/desktop/devilspie/README b/desktop/devilspie/README
new file mode 100644
index 0000000000..749ec9d222
--- /dev/null
+++ b/desktop/devilspie/README
@@ -0,0 +1,7 @@
+Devil's Pie - A window-matching utility
+
+Devil's Pie can be configured to detect windows as they are created, and
+match the window to a set of rules. If the window matches the rules, it
+can perform a series of actions on that window.
+
+Please see the README for more information and examples of use.
diff --git a/desktop/devilspie/devilspie.SlackBuild b/desktop/devilspie/devilspie.SlackBuild
new file mode 100644
index 0000000000..25c840c975
--- /dev/null
+++ b/desktop/devilspie/devilspie.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for devilspie
+# Written by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=devilspie
+VERSION=0.22
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README ChangeLog TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/devilspie/devilspie.info b/desktop/devilspie/devilspie.info
new file mode 100644
index 0000000000..07ffe120a9
--- /dev/null
+++ b/desktop/devilspie/devilspie.info
@@ -0,0 +1,8 @@
+PRGNAM="devilspie"
+VERSION="0.22"
+HOMEPAGE="http://burtonini.com/blog/computers/devilspie"
+DOWNLOAD="http://burtonini.com/computing/devilspie-0.22.tar.gz"
+MD5SUM="4190e12f99ab92c0427e457d9fbfe231"
+MAINTAINER="Phillip Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="rworkman"
diff --git a/desktop/devilspie/slack-desc b/desktop/devilspie/slack-desc
new file mode 100644
index 0000000000..d807ec816e
--- /dev/null
+++ b/desktop/devilspie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+devilspie: Devil's Pie (window-matching utility)
+devilspie:
+devilspie: Devil's Pie can be configured to detect windows as they are created,
+devilspie: and match the window to a set of rules. If the window matches the
+devilspie: rules, it can perform a series of actions on that window.
+devilspie:
+devilspie:
+devilspie:
+devilspie:
+devilspie:
+devilspie: